Arena::Block Struct Reference

## Public Member Functions

| Block ()
bool | isInBlock (const void *ptr) const
size_t | getSize () const
size_t | getFreeCapacity () const
bool | isEmpty () const
bool | isNull () const
bool | hasPreviousBlock () const

## Public Attributes

char * | _blockBegin
char * | _freeBegin
| beginning of current block (aligned)
char * | _blockEnd
| pointer to first free byte (aligned)
Block * | _previousBlock
| one past last byte (aligned)

## Detailed Description

Definition at line 146 of file Arena.h.

## Constructor & Destructor Documentation

## Block()

Arena::Block::Block | ( |  | ) |

Definition at line 35 of file Arena.cpp.

## Member Function Documentation

## getFreeCapacity()

size_t Arena::Block::getFreeCapacity | ( |  | ) | const

inline

Definition at line 151 of file Arena.h.

## getSize()

size_t Arena::Block::getSize | ( |  | ) | const

inline

Definition at line 150 of file Arena.h.

## hasPreviousBlock()

bool Arena::Block::hasPreviousBlock | ( |  | ) | const

inline

Definition at line 154 of file Arena.h.

## isEmpty()

bool Arena::Block::isEmpty | ( |  | ) | const

inline

Definition at line 152 of file Arena.h.

## isInBlock()

bool Arena::Block::isInBlock | ( | const void * | ptr | ) | const

inline

Definition at line 241 of file Arena.h.

## isNull()

bool Arena::Block::isNull | ( |  | ) | const

inline

Definition at line 153 of file Arena.h.

## Member Data Documentation

## _blockBegin

char* Arena::Block::_blockBegin

Definition at line 157 of file Arena.h.

## _blockEnd

char* Arena::Block::_blockEnd

pointer to first free byte (aligned)

Definition at line 159 of file Arena.h.

## _freeBegin

char* Arena::Block::_freeBegin

beginning of current block (aligned)

Definition at line 158 of file Arena.h.

## _previousBlock

Block* Arena::Block::_previousBlock

one past last byte (aligned)

Definition at line 160 of file Arena.h.

The documentation for this struct was generated from the following files:

- src/Arena.h
- src/Arena.cpp